% Questo script  un ciclo che cambia le propriet degli oggetti grafici h1(i),.....h6(i), definiti in MAC_sim.m,
% per mostrare, mentre le stazioni si muovono, la trasmissione dei pacchetti  attraverso la trasformazione dei cerchi in
% linee rosse (trasmissione pacchetto dati), verdi (trasmissione ACK) o viola (trasmissione
% pacchetto dati a una stazione che  fuori dal raggio di copertura)

for i=1:n
   
   % il comando set serve per modificare l'oggetto grafico (individuato dall'indice numerico
   % ad es. h1(i), detto puntatore) assegnandogli dei nuovi valori che ne consentono lo 
   % spostamento nel grafico
   
   set(h1(i),'XData',pos_x(i),'YData',pos_y(i));
   set(h2(i),'XData',pos_x(i)+(range(i)/20)*cos(ph),'YData',pos_y(i)+sin(ph)*(range(i)/20));
   % le due istruzioni consentono lo spostamento dei cerchietti che rappresentano il nodo mobile 
   % nella nuova posizione indicata

   set(h4(i),'XData',pos_x(i)+range(i)*cos(ph),'YData',pos_y(i)+sin(ph)*range(i),'color','c');
   % consente lo spostamento del cerchio di color ciano che rappresenta il raggio di copertura 
   % massimo conseguentemente allo spostamento della stazione mobile
   
		if (state(i)>=5)     % cio se  stato inviato un pacchetto
         temp=1-current_frame_length(i)/initial_cfl(i);
         
         % temp=0.5;
         
         set(h4(i),'XData',pos_x(i)+range(i)*cos(ph),'YData',pos_y(i)+sin(ph)*range(i),'color','m');
         % il colore del cerchio che rappresenta il raggio di copertura massimo di una certa stazione
         % si trasforma in magenta quando quella stazione invia un pacchetto
         
         if within(i,current_frame_dest(i))>0  % se il ricevente  nel raggio di copertura dell'inviante
            set(h5(i),'XData',[pos_x(i),pos_x(i)+min(temp,range(i))*(pos_x(current_frame_dest(i))-pos_x(i))],'YData',[pos_y(i),pos_y(i)+min(temp,range(i))*(pos_y(current_frame_dest(i))-pos_y(i))],'color','r');
            % il cerchietto del nodo si modifica in una linea rossa che rappresenta l'invio del pacchetto dati
         else		% se non  all'interno del raggio di copertura
            set(h5(i),'XData',[pos_x(i),pos_x(i)+min(temp,range(i))*(pos_x(current_frame_dest(i))-pos_x(i))],'YData',[pos_y(i),pos_y(i)+min(temp,range(i))*(pos_y(current_frame_dest(i))-pos_y(i))],'color','m');
            % il cerchietto del nodo si modifica in una linea magenta che non arriva alla stazione ricevente
			end       


   	else
         set(h5(i),'color','w');
         
         % set(h7(i),'color','w');
         
      end
      
		if (state(i)<=-1)    % cio se  stato inviato un ACK
         set(h6(i),'XData',[pos_x(i),pos_x(ACK_dest(i))],'YData',[pos_y(i),pos_y(ACK_dest(i))],'color','g');
         % il cerchietto del nodo si modifica in una linea verde che rappresenta l'invio dell'ACK
		else
         set(h6(i),'color','w');
         
      end
      
end











