function [rate_effettivo, char_circ]=num_char_rate(rate,circ_x_m)

% dist_circ  la distanza tra circonferenze
% rate  quante lettere vengono trasmesse in un secondo

% questa funzione valuta le dimensioni dello slot e dal numero 
% di slot trasmessi riesce a determinare gli indici che servono 
% per prelevare lo slot successivo dalla stringa che identifica il pacchetto

% c' una circonferenza ogni 20 cm (5 al metro) in un ambiente di 50 metri per esempio quindi ci sono 250 circonferenze
% per ogni stazione.
% la velocit della luce  300000 m/s.  50 metri saranno pertanto  percorsi in t=s/v=50/300000=1.6667e-004s  

% supponiamo un rate di 10Mchar/s

% v=char/t => char=v*t=10000000*1.6667e-004=1666.7 caratteri nello spazio di 50 metri
% tra una circonferenza e l'altra saranno presenti 1666.7/250=6.67 caratteri tra una circonferenza e l'altra

% non possiamo scegliere il valore del rate a piacimento ma possiamo dire quante circonferenze ci sono all'interno del
% sistema e quanti caratteri saranno trasmessi per ogni circonferenza

% rifacciamo le operazioni al contrario:
% 6 char in 250 circonferenze: 6*250=1500 in 50 m quindi 30 char al metro 
% 30char/m *300000 m/s= 9000000 char/s = 9Mchar/s


% velocit della luce
c=300000000; %m/s

% tempo utile per fare un metro di segnale
t_m=1/c;

% caratteri trasmessi in un metro
char_m=rate*t_m;

% in un metro ci sono circ_x_m circonferenze
% char_circ=floor(char_m/circ_x_m);

char_circ_old=char_m/circ_x_m;

char_circ=1/(floor(1/char_circ_old));

rate_effettivo=(char_circ*circ_x_m)/t_m;

